/* || 
--------------------------------------------------------------------------------------------------------------------
---------------------------------------------------General styles---------------------------------------------------
--------------------------------------------------------------------------------------------------------------------
*/

* {
  box-sizing: border-box;
  font-family: inter, sans-serif;
}

body {
  font-family: inter, sans-serif;
  margin: 0;
  /*
  background-color: var(--bg-colour);
  color: var(--text-colour);
  */
}

:root {
  ---bg-colour: #f9f9f9;
  --bg2-colour: #e9e9e9;
  --text-colour: #303030;
}

[data-theme="dark"] {
  --background: #5e5e5e;
  --bg-colour: #303030;
  --bg2-colour: #000000;
  --text-colour: #f9f9f9;
}

@media (prefers-color-scheme: dark) {
  :root {
    --background: #5e5e5e;
    --bg-colour: #303030;
    --bg2-colour: #000000;
    --text-colour: #f9f9f9;
  }
}

@media (prefers-color-scheme: light) {
  :root {
    --bg-colour: #f9f9f9;
    --bg2-colour: #e9e9e9;
    --text-colour: #303030;
  }
}

.dark-mode {
  background-color: #5e5e5e;
  color: white;
}

.dark-mode .trendingposts-card,
.dark-mode .merch-item,
.dark-mode .cart-container,
.dark-mode .shipping-column,
.dark-mode .account-column,
.dark-mode .my-account-overview,
.dark-mode .account-edit-element,
.dark-mode .cost-column,
.dark-mode .cart-summary-item,
.dark-mode .login-form,
.dark-mode .account-creation-form,
.dark-mode .reset-password-form,
.dark-mode .contact-form,
.dark-mode .contact-location,
.dark-mode .post-creation-form,
.dark-mode .my-posts-container,
.dark-mode .about-us-mission,
.dark-mode .team-member-card,
.dark-mode .landing-words,
.dark-mode .policy-mission{
  background: #303030; 
}

p, 
label, 
.trendingposts-search-sort select, 
.trendingposts-search-sort input,
.input-group,
.contact-submit-button, 
.checkout-billing-button, 
.checkoutbutton,
.account-changes-button,
.post-submit-button,
.account-creation-submit-button{
  font-weight: 100;
}

h1 {
  text-align: center;
}

.header {
  padding: 60px;
  text-align: center;
  background: #1a4dbc;
  color: white;
  padding: 60px;
  text-align: center;
  background: #1a4dbc;
}

.error-message {
  color: red;
  font-weight: 200;
}
.success-message {
  color: green;
  font-weight: 200;
}


/* || 
--------------------------------------------------------------------------------------------------------------------
---------------------------------------------------General styles---------------------------------------------------
--------------------------------------------------------------------------------------------------------------------
 */

.navbar,
.dropbtn {
  display: flex;
  background-color: #333;
  color: rgba(217, 217, 217, 1);
  font-size: 16px;
  font-weight: 100;
  justify-content: space-between;
  align-items: center;
  overflow: hidden;
  width: 100%;
}

.navbar span {
  justify-content: right;
  align-items: center;
  padding: 14px 20px;
  color: rgba(217, 217, 217, 1);
  margin-right: auto;
}

.navbar a {
  justify-content: end;
  text-decoration: none;
  color: rgba(217, 217, 217, 1);
  padding: 14px 20px;
  text-align: center;
}

.navbar a:hover {
  background-color: #ddd;
  color: black;
}
.navbar .dropbtn {
  font-weight: 100 !important; 
}



.dropbtn {
  padding: 14px 16px;
  border: none;
  cursor: pointer;
  /* background-color: #333;
  color: rgba(217, 217, 217, 1);
  font-size: 16px;
  font-weight: 100;
  text-decoration: none; */
}

.dropdown-content {
  display: none;
  position: absolute;
  background-color: #333;
  z-index: 1;
}

.dropdown-content a {
  color: rgba(217, 217, 217, 1);
  justify-content: end;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
  text-align: left;
}

.dropdown-content a:hover {
  background-color: #ddd;
}
.dropdown:hover .dropdown-content {
  display: block;
}

/* || 
--------------------------------------------------------------------------------------------------------------------
---------------------------------------------------General styles---------------------------------------------------
--------------------------------------------------------------------------------------------------------------------
 */
/* 
.container {
  display: flex;
  flex-wrap: wrap;
  flex-direction: column;
} */

.merch_item_box {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

.merch_item_box > div {
  margin: 20px;
  padding: 5px;
}

.merch_filter {
  flex: 20%;
  margin: 20px;
  padding: 5px;
}

.row {
  display: flex;
  flex-wrap: nowrap;
}
.row > div {
  margin: 20px;
  padding: 5px;
}

.main {
  background-color: white;
  padding: 20px;
}

.welcome_1 {
  flex: auto;
  padding: 20px;
}

.card {
  flex: auto;
  background-color: rgb(232, 232, 232);
  padding: 20px;
  margin-top: 20px;
}

.heading-flex {
  flex: 100%;
  background-color: white;
  padding: 20px;
}

.fakeimg {
  background-color: #aaa;
  width: 80%;
  padding: 20px;
}

.textbox {
  background-color: #aaa;
  width: 95%;
  padding: 20px;
}
.textbox_small {
  -ms-flex-align: start;
  background-color: #aaa;
  width: 70%;
  padding: 20px;
}
.textbox_small {
  -ms-flex-align: start;
  background-color: #aaa;
  width: 70%;
  padding: 20px;
}

img {
  width: auto;
  height: auto;
}

img {
  width: auto;
  height: auto;
}



/* || 
--------------------------------------------------------------------------------------------------------------------
---------------------------------------------------General styles---------------------------------------------------
--------------------------------------------------------------------------------------------------------------------
 */
 .merch-container{
  grid-template-columns: 2fr 1fr;
  display: grid; 
  margin: 10vh;
  gap: 10vh;
 }


 .edit-my-account-container{
  grid-template-columns: 2fr 1fr;
  display: grid; 
  margin: 10vh auto;
  gap: 10vh;
 }


.merch-item-container,
.mode-selection {
  grid-column-gap: 20px;
  display: grid;
  grid-template-columns: auto auto auto;
  grid-row-gap: 20px;
  justify-content: space-evenly;
}
.merch-item {
  background-color: #d9d9d9;
  width: 300px;
  border-radius: 5px;
}
.merch-item-photo {
  align-items: center;
  padding: 16px 16px 0px 16px;
  border-radius: 5px;
  max-width: 100%;
}

.merch-item-titlecart {
  display: flex;
  align-items: center;
}

.merch-item-titlecart img {
  margin-left: 10px;
  margin-right: 16px;
  padding: 0px;
  height: 40px;
}
.merch-item-titlecart h2 {
  padding: 16px;
}

.merch-item-titlecart p {
  margin-left: auto;
}

h2 {
  font-size: 20px;
  font-weight: 200;
  margin: 0px;
}

/* || 
--------------------------------------------------------------------------------------------------------------------
---------------------------------------------------Footer styles---------------------------------------------------
--------------------------------------------------------------------------------------------------------------------
 */
 #footer {
  padding: 50px;
  text-align: center;
  background: #333;
  color: white;
}

.footer-container {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
}

.footer-logo {
  text-align: center;
  height: auto;
}

.footer-sitetree a,
.footer-supportsocials a,
.footer-contact a {
  color: white;
  text-decoration: none;
}

.footer-sitetree a:hover,
.footer-supportsocials a:hover,
.footer-contact a:hover {
  text-decoration: underline;
}

.footer-sitetree ul,
.footer-supportsocials ul {
  list-style-type: none;
  padding: 0;
  text-align: left;
}


/* || 
--------------------------------------------------------------------------------------------------------------------
---------------------------------------------------General styles---------------------------------------------------
--------------------------------------------------------------------------------------------------------------------
 */

.cart-summary-item{
  margin: 2vh 0;
}

.cart-container{
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

#remember-me-container{
  display: flex;
  align-items: center;
}

.cart-container,
.shipping-column,
.account-column,
.account-edit-element,
.my-posts-container,
.cost-column,
.cart-summary-item,
.login-form,
.account-creation-form,
.post-creation-form,
.reset-password-form,
.contact-form,
.contact-location {
  max-width: 750px;
  width: 100%;
  /* margin: auto; */
  padding: 1em;
  background: #f9f9f9;
  border-radius: 10px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}



.login-page,
.account-creation-page,
.post-creation-container,
.reset-password-page {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  /* min-height: 75vh; */
  width: 100%;
  margin: 0;
  padding: 0;
}
.login-form,
.account-creation-form,
.post-creation-form,
.reset-password-form {
  margin: 10vh;
  width: 100%;
  display: flex;
  flex-direction: column;
  padding: 20px;
}
.post-creation-form{
  margin: 10vh 10vh 0 10vh !important;
}

.login-form-group input[type="checkbox"] {
  width: auto;
  margin: 10px;
}

.contact-form h2,
.contact-location h2,
.login-form h2,
.account-creation-form h2,
.post-creation-form h2,
.my-account-name h2,
.account-info h2,
.edit-my-pfp-header h2,
.edit-my-pfp-header h2,
.reset-password-form h2,
.my-posts-container h2,
.my-orders-container h2,
.mission-content h2{
  text-align: center;
  margin-bottom: 1em;
}

.contact-form-group,
.login-form-group,
.account-creation-form-group,
.reset-password-form-group {
  margin-bottom: 1em;
}

/* .contact-form-group label,
.account-creation-form-group label,
.login-form-group label,
.reset-password-form-group label {
  display: block;
  margin-bottom: 0.5em;
} */
.contact-form-group input,
.contact-form-group textarea,
.login-form-group input,
.account-creation-form-group input,
.account-creation-form-group textarea,
.reset-password-form-group input {
  width: 100%;
  padding: 10px;
  font-size: 1em;
  border: 1px solid #ccc;
  border-radius: 4px;
}
.contact-form-group textarea,
.account-creation-form-group textarea {
  resize: vertical;
}
.contact-submit-button,
.checkout-billing-button,
.checkoutbutton,
.account-changes-button,
.post-submit-button,
.account-creation-submit-button {
  width: 100%;
  padding: 10px;
  font-size: 1em;
  background-color: #007bff;
  color: white;
  border: none;
  border-radius: 4px;
  cursor: pointer;
  text-decoration: none;
  text-align: center;
}
.contact-submit-button:hover,
.checkout-billing-button:hover,
.checkoutbutton:hover,
.account-changes-button:hover,
.checkout-billing-button:focus,
.post-submit-button:hover,
.account-creation-submit-button:hover {
  background-color: #0056b3;
}


.cart-summary-item-content button {
  background: transparent; 
  border: none; 
  color: inherit; 
  text-align: center;
  padding: 8px 12px; 
  cursor: pointer; 
  outline: none; 
}
/* || 
--------------------------------------------------------------------------------------------------------------------
---------------------------------------------------General styles---------------------------------------------------
--------------------------------------------------------------------------------------------------------------------
 */

.title {
  width: 100%;
  text-align: center;
  padding: 20px;
}


.merch-item-titlecart p {
  margin-left: auto;
}
/* || 
--------------------------------------------------------------------------------------------------------------------
---------------------------------------------------cart Page---------------------------------------------------
--------------------------------------------------------------------------------------------------------------------
 */

.cart-item-container {
  margin-top: 20px;
  margin-bottom: 20px;
  grid-column-gap: 20px;
  display: grid;
  grid-template-columns: auto;
  grid-row-gap: 20px;
  justify-content: space-evenly;
  background-color: green;
}

input.cart-qty {
    width: 25%;
}



.cart-page {
  margin: 75px;
  display: flex;
  flex-direction: column;
  padding: 1em;
  background: #f9f9f9;
  border-radius: 5px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.cart-item-photo {
  align-items: center;

  height: 50px;
  align-self: center;
}

.cart_item_box {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  background-color: #d9d9d9;
}

.cart_item_box > div {
  margin: 20px;
  padding: 5px;
}

/* || 
--------------------------------------------------------------------------------------------------------------------
---------------------------------------------------Checkout Page---------------------------------------------------
--------------------------------------------------------------------------------------------------------------------
 */
.checkout-container, 
.contact-container,
.order-confirmation-container
 {
  justify-items: center;
  grid-template-columns: 1fr 1fr;
  display: grid;
  margin: 10vh;
  gap: 10vh;
}


.input-container {
    align-self: flex-end;
    display: grid;
}

.input-container p {
    margin: 0px;
    text-align: end;
}


.cost-summary > :nth-child(2n),
#loginRequired form > :nth-child(2n){
  display: flex;
  justify-content: flex-end;
}

.right-aligned {
  justify-self: flex-end;
}

.shipping-input,
.account-input,
.cost-summary,
.payment-input,
#loginRequired form,
.cost-summary-item{
  display: grid;
  grid-template-columns: 1fr 1fr;
  row-gap: 2vh;
}

.checkout-container h2,
.cart-container h2{
  margin: 2vh 0vh;
  text-align: center;
}



.cost-summary {
  row-gap:10px;
}
.cost-summary p{
  margin: 5px 0;
}

.shipping-input input,
.shipping-input select,
.account-info input,
.account-info select,
.cost-summary input,
.payment-input input
{
  justify-self: flex-end;
  width: 75%;
}

#couponcode,
input.couponbutton {
  align-self: flex-end;
}


.couponlabel{
  margin: 5px;
  font-weight: 500;
}

.input-field,
.input-field select {
  width: 75%;
  padding: 10px;
  border: 1px solid #ccc;
  border-radius: 4px;
  box-sizing: border-box;
  display: flex;
  justify-content: flex-end;
}

.checkout-billing-button,
.account-changes-button,
.post-submit-button {
  width: 50%;
  margin-top: 5vh;
  display: block;
  margin-left: auto;
  margin-right: auto;
}

.cost-summary-item {
  display: grid;
  grid-template-columns: 1fr 1fr;
}
.cost-summary-item p:first-child,
.cart-summary-item-description-content p:first-child {
  text-align: left;
  grid-column: 1;
}

.cost-summary-item p:last-child,
.cart-summary-item-description-content p:last-child {
  text-align: right;
  grid-column: 2;
}
span#item-quantity {
    margin: 10px;
    font-weight: 100;
}

.modalOverlay{
  display: none;
}

.cost-summary-item p,
.cart-summary-item-description-content p,
.cart-summary-item-content p {
  margin: 5px;
}

.cart-header {
    font-weight: 400;
    text-align: left;
}

.cart-header p {
    font-weight: 400;
    margin: 5px;
}

.cart-summary-item-content,
.cart-header {
  display: grid;
  grid-template-columns: 20% 25% 25% 25% 5%;
  align-items: center;
  /* column-gap: 20px; */
}

p.cart-summary-item-title {
    text-align: center;
}

.cart-summary-item img {
  grid-row: 1/5;
  width: 50%;
  display: flex;
  justify-self: center;
  overflow: hidden;
}

.order-instructions,
.order-confirmation{
  text-align: center;
  margin: 10vh;
}

.couponbutton,
#clear-cart,
#captchaSubmit{
  width: 75%;
  text-align: center;
  padding: 10px;
  font-size: 1em;
  border: 1.5px solid #007bff;  
  background-color: white;
  color: #007bff;
  border-radius: 5px;
  cursor: pointer;
}

.checkoutbutton,
#clear-cart{
  width: 100%;
  justify-items: end;
  text-decoration: none; 
}

.cost-summary form {
    flex-direction: column;
}

#captchaSubmit{
  width: 50% !important;
  margin-left: auto;
  margin-right: auto;
  display: block; 
}


.couponbutton:hover,
#clear-cart:hover,
.modal-reply-input button:hover,
#captchaSubmit:hover {
  background-color: #007bff;
  color: white;
}

/* || 
--------------------------------------------------------------------------------------------------------------------
---------------------------------------------------Captcha---------------------------------------------------
--------------------------------------------------------------------------------------------------------------------
 */

.captcha-title-error {
  display: grid;
  grid-template-columns: 50% 50%;
}

#authenticationMessage {
  text-align: right;
}



#captchaText {
  font-size: 50px;
    user-select: none; 
    width: fit-content;
    letter-spacing: -10px;
    cursor: default; 
    margin: 10%;
}

/* || 
--------------------------------------------------------------------------------------------------------------------
---------------------------------------------------My Account Page---------------------------------------------------
--------------------------------------------------------------------------------------------------------------------
 */

 .my-account-container,
 .policy-container {
    margin: 10vh auto;
    max-width: 75%;
 }

 .my-account-overview,
 .policy-mission {
  display: grid;
  grid-template-rows: auto;
  width: 100%;
  background: #f9f9f9;
  border-radius: 10px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
 }

 .dark-mode .my-account-summary {
  background: #303030; 
 }

 .dark-mode .my-account-nav-links,
 .dark-mode .my-account-nav-links a{
  background: #000000;
  color: white;
  border-radius: 0 0 10px 10px;
 }

.my-account-overview {
  display: grid;
  grid-template-areas: 
    "img name ."
    "img info job";
  grid-template-columns: 20% 40% 40%;
  width: 100%;
  height: fit-content;
  padding: 10px;
  border-radius: 10px 10px 0px 0px;
}

.my-account-img {
  grid-area: img;
}

.my-account-name {
  grid-area: name;
}

.my-account-name h2 {
  font-size: 40px;
  padding-left: 20px;
}

.my-account-info {
  grid-area: info;
}


.my-account-job {
  grid-area: job;
  text-align: right;
  padding-right: 20px;
}



.my-account-img img{
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 50%;
  padding: 20px;
}

.my-account-nav-links {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  background: #e9e9e9;
  border-radius: 0px 0px 10px 10px;
}

.my-account-nav-links a,
.mode-selection a {
  text-align: center;
  text-decoration: none;
  color: black;
  padding: 1em;
}

.mode-selection {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  border-radius: 0px 0px 10px 10px;
}

/* || 
--------------------------------------------------------------------------------------------------------------------
-----------------------------------My Account Page / Edit My Info---------------------------------------------------
--------------------------------------------------------------------------------------------------------------------
*/

#colour-mode {
    margin-bottom: 20px;
}

.edit-my-pfp img{
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 50%;
  padding: 20px;
}

/* .edit-my-pfp-header, .edit-my-info-header {
  background: #e9e9e9;
  width: 100%;
  height: fit-content;
  padding: 10px;
  border-radius: 20px 20px 0px 0px;
} */

.edit-my-info-body {
  width: 100%;
  height: fit-content;
  padding: 10px;
  border-radius: 0px 0px 20px 20px;
}

.edit-my-pfp-body {
  display: grid;
  grid-template-columns: 30% 70%;
  width: 100%;
  height: fit-content;
  padding: 10px;
  border-radius: 0px 0px 20px 20px;
}

.edit-my-pfp-body img {
  width: 100%;
  height: auto;
}

.pfp-edit {
  align-content: center;
  padding: 10px;
}

@media screen and (max-width: 800px) {
  .edit-my-account-container {
    flex-direction: column;
  }
}

.edit-my-info-form {
  width: 100%;
  display: flex;
  flex-direction: column;
  padding: 20px;
}

.edit-my-form-g2 {
  display: flex;
  flex-direction: row;
}

.edit-my-form-g1, .edit-my-form-g2 {
  padding-bottom: 10px;
}

.edit-my-form-g2-1 {
  padding-right: 10px;
}

.edit-my-input {
  width: 100%;
  padding: 10px;
  font-size: 1em;
  border: 1px solid #ccc;
  border-radius: 4px;
}

.edit-my-button {
  width: 100%;
  padding: 10px;
  font-size: 1em;
  background-color: #007bff;
  color: white;
  border: none;
  border-radius: 4px;
  cursor: pointer;
}

.edit-my-button:hover {
  background-color: #0056b3;
}

.edit-my-form-button {
  padding-top: 10px;
  padding-bottom: 10px;
}

/* || 
--------------------------------------------------------------------------------------------------------------------
-----------------------------------My Posts-------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------
*/

.about-us-container {
  margin: 10vh;
  margin-left: 30vh;
  margin-right: 30vh;
}

.my-posts-container,
.my-orders-container,
.landing-words {
  max-width: 100%;
  margin: 10vh auto;
}

.my-orders-container,
.about-us-mission,
.landing-words {
  width: 100%;;
  padding: 1em;
  background: #f9f9f9;
  border-radius: 10px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.landing-words p {
  font-size: 20px;
}

.about-us-mission img {
  max-width: 100%;
  height: auto;
  padding: 20px;
}

.team-header {
  margin-top: 10vh;
}

/* || 
--------------------------------------------------------------------------------------------------------------------
-----------------------------------My Orders-------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------
*/

.myModal {
  display: none;
  position: fixed;
  z-index: 1;
  padding-top: 100px;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: #000000;
  background-color: #00000066;
}

.details-content {
  background: #f9f9f9;
  margin: auto;
  padding: 20px;
  border: 1px solid #888;
  width: 80%;
  border-radius: 10px;
}

.close {
  color: var(--bg-colour);
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: white;
  text-decoration: none;
  cursor: pointer;
}

.my-orders {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  align-self: center
}

/* || 
--------------------------------------------------------------------------------------------------------------------
--------------------------------------Landing Page------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------
*/

.landing-splash {
  background-image:url(../assets/blue-BC.jpg);
  background-size: cover;
  background-position: center;
  display: grid;
}

.landing-splash h2 {
  font-size: 50px;
  color: white;
  text-align: center;
  padding: 20vh;
}

.landing-splash p {
  font-size: 20px;
  color: white;
  text-align: center;
}

.landing-splash a {
  text-align: center;
  padding: 10px;
  font-size: 1em;
  border: 1.5px solid #007bff;  
  background-color: white;
  color: #007bff;
  border-radius: 5px;
  cursor: pointer;
  width: 10% !important;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 10vh;
  display: block; 
  text-decoration: none;
  color: #007bff;
}

.landing-splash a:hover {
  background: #0054ae;
  color: white;
  box-shadow: #333 0px 0px 10px;
}

/* || 
--------------------------------------------------------------------------------------------------------------------
---------------------------------------------------Trending Posts---------------------------------------------------
--------------------------------------------------------------------------------------------------------------------
 */

 @media screen and (max-width: 300px) {
  .row,
  .navbar {
    flex-direction: column;
  }
}

.trendingposts-container {
  width: 80%;
  margin: auto;
  padding-bottom: 50px;
  padding-top: 50px;
  margin-bottom: 10vh;
}

.threadcards-container{
  display: grid;
  grid-template-columns: auto auto auto auto;
  column-gap: 20px;
}


.trendingposts-search-sort select,
.trendingposts-search-sort input {
  width: 100%;
  margin: 20px;
  padding: 10px;
  font-size: 16px;
  border-radius: 10px;
  border: 2px solid #d1d1d1;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1); 
}

#form-post-searchbar {
    width: auto;
    display: grid;
    grid-template-columns: 5fr 1fr 1fr;
    margin: 20px 0;
    column-gap: 20px;
}

.trendingposts-cards-container {
  display: flex;
  overflow-x: auto;
  padding: 10px 0;
  gap: 15px;
  margin-bottom: 10vh;
}

.trendingposts-card {
  max-width: 350px;
  background: #ececec;
  /* margin-right: 10px; */
  border-radius: 10px;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
  flex-shrink: 0;
  padding: 10px;
}

.trendingposts-card-image {
  background: #ccc;
  height: 150px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: bold;
  color: #555;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
}

.trendingposts-card-content button {
  padding: 10px;
  border: none;
  background: #007bff;
  color: #fff;
  border-radius: 5px;
  cursor: pointer;
  margin-left: auto;
  display: block;
}

.trendingposts-profile {
  display: flex;
  align-items: center;
}

.trendingposts-profile-pic {
  width: 57px;
  height: 57px;
  padding: 5px;
}

.trendingposts-card-content h3 {
  text-align: center;
  font-weight: 400;
  margin: 0;
}
.trendingposts-card-content p {
  text-align: left;
  margin: 10px;
}

.trendingposts-card-content button:hover {
  background: #0056b3;
}

.trendingposts-card-image {
    overflow: hidden;
    /* border: black; */
    /* border: 4px solid #d0d0d0; */
    border-radius: 4px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}
#showCart {
    width: 100%;
}

img.trendingposts-card-img {
    object-fit: fill;
    width: 100%;
}

/* || 
--------------------------------------------------------------------------------------------------------------------
---------------------------------------------------About us---------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------
*/

.about-us-mission {
  display: grid;
  grid-template-columns: 1fr 1fr;
}

.mission-content h2 {
  padding-top: 20px;
  font-size: 70px;
}

.mission-content p {
  font-size: 20px;
  text-align: center;
  padding: 20px;
 }

 .about-us-team {
  display: grid;
  grid-template-rows: auto;
 }

 .team-header h2 {
  text-align: center;
  font-size: 50px;
 }

 .team-header p {
  text-align: center;
 }

 .team-members {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  width: 100%;
 }

 @media screen and (max-width: 500px) {
    .team-members {
      flex-direction: column;
    }
  }

.add-to-cart{
  height: 50px;
  text-decoration: none;
  background: none;
  color: inherit;       
  border: none;         
  padding: 0;           
  margin: 0;            
  cursor: pointer;      
  outline: none;        
    
}


.team-member-card {
    margin-top: 5vh;
    background: #f9f9f9;
    margin-bottom: 10vh;
    max-width: 250px;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    text-align: center;
}

.team-member-card img {
  max-width: 200px;
  max-height: 200px;
}


.expanded-postview-modal {
    background-color: #d9d9d9;
    width: 80%;
    margin: 15vh;
   border-radius: 10px;
}

.modal-reply-input{
    display: grid;
    background: #e9e9e9;
    border-radius: 0px 0px 10px 10px;
}

.input-group {
    width: 100%;
    display: flex; 
    padding: 20px;
    border: 1px solid #ccc; 
    border-radius: 0px 0px 10px 10px;
    overflow: hidden; 
}

.modal-header img{
    width: 75%;
    height: 100%;

}

.input-field {
    flex-grow: 1;
    border: none; 
    outline: none;
    padding: 10px 15px;
    border-radius: 10px 0 0 10px;
    font-size: 16px;
}

.send-button {
    border: 1.5px solid #007bff; 
    width: 10%; 
    background-color: white;
    color: #007bff;
    padding: 10px 20px;
    cursor: pointer;
    border-radius: 0 10px 10px 0;
    font-size: 16px;
}

.modal-header {
    display: grid;
    grid-template-columns: 10% 15% 65% 10%;
    align-items: center;
    padding: 20px;
}

.modal-reply{
  display: grid;
  grid-template-columns: 7% 13% 75% 5%;
  margin: 5px;
}
span.model-close {
    justify-self: flex-end;
}
.modal-content{
  padding: 0px 20px;
}

.modal-discussion {
  margin: 20px;
  
}

.modal-reply-pfp {
  width: 40px;
  height: 40px;
  align-self: center;
}

.modalpostContent-img{
  max-width: 100%;
  display: flex;
  height: auto;
  margin-left: auto;
  margin-right: auto;
}
